---
title: "Get Projection Grid"
url: "https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2/operations/get_projection_grid_salary_projection_grid_get"
---

> Full API specification: https://developer.migros.ch/apis/hr25-compensation-api-0/versions/81e689e4-d95b-44d7-a80e-882b791b85b2.md

# Get Projection Grid

`GET` `/migros/human-resources/hrsolcomp/v1/salary/projection-grid`

Operation ID: `get_projection_grid_salary_projection_grid_get`

Generate projection grid for all dialogs, experiences, and positions. Creates a comprehensive dataset of salary trajectories across all possible starting conditions. Args: budget_factor: Budget constraint multiplier (1.0 = 100% funded, 0.87 = 87%) Returns: Dictionary with projection grid data.

## Query parameters

- `budget_factor` (number, optional)

## Header parameters

- `authorization` (string, optional)

## Responses

- `200` - Successful Response
- `422` - Validation Error

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: HR25 Compensation API
  version: 0.1.0
servers:
  - url: https://hr25-comp.service.migros.cloud
paths:
  /migros/human-resources/hrsolcomp/v1/salary/projection-grid:
    get:
      description: >-
        Generate projection grid for all dialogs, experiences, and positions.


        Creates a comprehensive dataset of salary trajectories across all
        possible

        starting conditions.


        Args:
            budget_factor: Budget constraint multiplier (1.0 = 100% funded, 0.87 = 87%)

        Returns:
            Dictionary with projection grid data.
      operationId: get_projection_grid_salary_projection_grid_get
      parameters:
        - in: query
          name: budget_factor
          required: false
          schema:
            default: 1
            title: Budget Factor
            type: number
        - in: header
          name: authorization
          required: false
          schema:
            title: Authorization
            type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Get Projection Grid Salary Projection Grid Get
                type: object
          description: Successful Response
        "422":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/HTTPValidationError"
          description: Validation Error
      summary: Get Projection Grid
      tags:
        - salary
      x-kong-route-defaults:
        strip_path: true
        tags:
          - hr25-comp
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: "#/components/schemas/ValidationError"
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
```
